[POST]
{{baseUrl}}/api/v1/card/virtual/create
Header
| Header | Type | Description |
|---|---|---|
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
| first_name required | string | First name of card holder |
| last_name required | string | First name of card holder |
| phone required | string | Phone number |
| email required | string | Email address |
| address_street required | string | Address Street |
| address_city required | string | Address City |
| address_zipcode required | string | Address Zipcode |
| address_state required | string | Address State |
| bvn required | string | Bank Verification Number |
| id_number required | string | Identity Number |
| card_type required | string | Card type E.g MasterCard, Verve |
| wallet_id optional | string | NGN Wallet ID of existing wallet |
Sample response
Response
{
"entity": {
"card_id": "2fd7d0ba-4d70-4276-aa1e-3d67b295e96b",
"first_name": "John",
"last_name": "Doe",
"email": "test@doe.com",
"phone": null,
"address_street": null,
"address_city": "Address City",
"address_country": null,
"address_zipcode": "234",
"reason": "",
"dob": null,
"category": null,
"status": "Card - Active",
"wallet_info": {
"account_number": "5270519730",
"bank_name": "DOT MFB",
"wallet_id": "0fe81e32-6402-4cab-a5c9-a77726fc7fe6",
"amount": 500
},
"card_name": "",
"expiry_date": "2027-11-20T00:00:00",
"last_four_digits": "4910",
"date_created": "2024-11-20T10:16:24.948481",
"date_updated": "2024-11-20T10:16:24.953815"
}
}